    %Reads .mpl files from shipx to find added resistance coefficients, these
%are transferred to excel sheet SpringStiffness.xls

clc
clear all
close all

filename = 'C:\Users\Rille\Dropbox\Skole\Masteroppgave\Added resistance\ForActive\U8Hs5.mpl';
delimiter = {',',' '};
startRow = 10;

formatSpec = '%*s%f%*s%*s%*s%*s%*s%*s%*s%*s%*s%[^\n\r]';

fileID = fopen(filename,'r');

dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);

fclose(fileID);

U8Hs5 = [dataArray{1:end-1}];

clearvars filename delimiter startRow formatSpec fileID dataArray ans;

U8Hs5