

x=[0:1:90]*pi/180;
liftlinelift=1.5*pi*x;



%tabulated lift NACA 0015: Gaussian fit, 7 terms
       a1 =       1.164;
       b1 =      0.2452;
       c1 =      0.1245;
       a2 =      0.4781;
       b2 =      0.4088;
       c2 =     0.08621;
       a3 =       0.172;
       b3 =      0.4718;
       c3 =     0.03124;
       a4 =      0.3194;
       b4 =      0.1089;
       c4 =     0.07588;
       a5 =           0;
       b5 =      0.7471;
       c5 =    0.003433;%
       a6 =      0.7267;%  (-0.06935, 1.523)
       b6 =      0.6308;%  (0.5219, 0.7397)
       c6 =      0.2917;%  (0.07948, 0.504)
       a7 =      0.7782;%  (0.2922, 1.264)
       b7 =       1.042;%  (0.7583, 1.325)
       c7 =      0.3916;%  (0.2237, 0.5596)


tablift1  =     a1.*exp(-((x-b1)./c1).^2) + a2.*exp(-((x-b2)./c2).^2) + a3.*exp(-((x-b3)./c3).^2) + a4.*exp(-((x-b4)./c4).^2) + a5.*exp(-((x-b5)./c5).^2) + a6.*exp(-((x-b6)./c6).^2) + a7.*exp(-((x-b7)./c7).^2);

%tab. lift NACA 0015, corrected for finite span: Gaussian, 7 terms

       a1 =      0.8952;
       b1 =      0.2448;
       c1 =      0.1237;
       a2 =      0.3728;
       b2 =      0.4081;
       c2 =     0.08667;
       a3 =       0.133;
       b3 =      0.4718;
       c3 =     0.03185;
       a4 =      0.2469;
       b4 =      0.1083;
       c4 =      0.0762;
       a5 =           0;
       b5 =      0.7441;
       c5 =    0.003392;
       a6 =      0.5628;%  (-0.0629, 1.189)
       b6 =      0.6323;%  (0.5195, 0.745)
       c6 =      0.2932;%  (0.07691, 0.5094)
       a7 =       0.596;%  (0.2086, 0.9834)
       b7 =       1.044;%  (0.7523, 1.335)
       c7 =      0.3908;%  (0.2193, 0.5623)

tabliftcorr1  =     a1.*exp(-((x-b1)./c1).^2) + a2.*exp(-((x-b2)./c2).^2) + a3.*exp(-((x-b3)./c3).^2) + a4.*exp(-((x-b4)./c4).^2) + a5.*exp(-((x-b5)./c5).^2) + a6.*exp(-((x-b6)./c6).^2) + a7.*exp(-((x-b7)./c7).^2);

figure
hold on
plot(x,liftlinelift)
plot(x, tablift1)
plot(x,tabliftcorr1)

%------------DRAG----------------------------------------------------------

liftlinedrag=0.1875.*x.^2;

%Tabulated drag coeff NACA 0015: Gaussian, 7 terms

       a1 =      0.4145;
       b1 =        1.61;
       c1 =      0.1331;
       a2 =      0.8715;
       b2 =      0.8973;
       c2 =      0.3023;
       a3 =           0;
       b3 =        2.87;
       c3 =     0.04941;
       a4 =        1.51;
       b4 =      0.5719;
       c4 =      0.1561;
       a5 =           0;
       b5 =       1.055;
       c5 =    2.22e-14;
       a6 =       1.687;%  (-25.93, 29.31)
       b6 =         1.4;%  (-4.124, 6.924)
       c6 =      0.4044;%  (-21.75, 22.56)
       a7 =      -1.173;%  (-65, 62.65)
       b7 =      0.5746;%  (0.4617, 0.6875)
       c7 =      0.1314;%  (-0.4846, 0.7474)

tabdrag  =     a1.*exp(-((x-b1)./c1).^2) + a2.*exp(-((x-b2)./c2).^2) + a3.*exp(-((x-b3)./c3).^2) + a4.*exp(-((x-b4)./c4).^2) + a5.*exp(-((x-b5)./c5).^2) + a6.*exp(-((x-b6)./c6).^2) + a7.*exp(-((x-b7)./c7).^2);       

hold off
figure
hold on
plot(x,liftlinedrag)
plot(x,tabdrag)





















