clc
clear all
close all



rho = 1025;
t= 0.175; %From DNV GL
D = 3; %From DNV GL
shipspeed = 4*0.5144;                             %remember to change!!!!
w = 0.031; %From DNV GL
etaR=0.97;


%hs3 uf
[~, ~, raw] = xlsread('C:\Users\Rille\Dropbox\Skole\Masteroppgave\Added resistance\Added res ship motionsINCLWIND.xlsx','Total Res 4kn','S9:S21');
hs3uf = reshape([raw{:}],size(raw));
hs3uf = hs3uf./2.*1000;
clearvars raw;

%hs3 ff
[~, ~, raw] = xlsread('C:\Users\Rille\Dropbox\Skole\Masteroppgave\Added resistance\Added res ship motionsINCLWIND.xlsx','Total Res 4kn','T9:T21');
hs3ff = reshape([raw{:}],size(raw));
hs3ff=hs3ff./2.*1000;
clearvars raw;

%hs3 pf
[~, ~, raw] = xlsread('C:\Users\Rille\Dropbox\Skole\Masteroppgave\Added resistance\Added res ship motionsINCLWIND.xlsx','Total Res 4kn','U9:U21');
hs3pf = reshape([raw{:}],size(raw));
hs3pf=hs3pf./2.*1000;
clearvars raw;

%hs4 uf
[~, ~, raw] = xlsread('C:\Users\Rille\Dropbox\Skole\Masteroppgave\Added resistance\Added res ship motionsINCLWIND.xlsx','Total Res 4kn','X9:X21');
hs4uf = reshape([raw{:}],size(raw));
hs4uf=hs4uf./2.*1000;
clearvars raw;

%hs4 ff
[~, ~, raw] = xlsread('C:\Users\Rille\Dropbox\Skole\Masteroppgave\Added resistance\Added res ship motionsINCLWIND.xlsx','Total Res 4kn','Y9:Y21');
hs4ff = reshape([raw{:}],size(raw));
hs4ff=hs4ff./2.*1000;
clearvars raw;

%hs4 pf
[~, ~, raw] = xlsread('C:\Users\Rille\Dropbox\Skole\Masteroppgave\Added resistance\Added res ship motionsINCLWIND.xlsx','Total Res 4kn','Z9:Z21');
hs4pf = reshape([raw{:}],size(raw));
hs4pf=hs4pf./2.*1000;
clearvars raw;

%hs5 uf
[~, ~, raw] = xlsread('C:\Users\Rille\Dropbox\Skole\Masteroppgave\Added resistance\Added res ship motionsINCLWIND.xlsx','Total Res 4kn','AC9:AC21');
hs5uf = reshape([raw{:}],size(raw));
hs5uf=hs5uf./2.*1000;
clearvars raw;

%hs5 ff
[~, ~, raw] = xlsread('C:\Users\Rille\Dropbox\Skole\Masteroppgave\Added resistance\Added res ship motionsINCLWIND.xlsx','Total Res 4kn','AD9:AD21');
hs5ff = reshape([raw{:}],size(raw));
hs5ff=hs5ff./2.*1000;
clearvars raw;

%hs5 pf
[~, ~, raw] = xlsread('C:\Users\Rille\Dropbox\Skole\Masteroppgave\Added resistance\Added res ship motionsINCLWIND.xlsx','Total Res 4kn','AE9:AE21');
hs5pf = reshape([raw{:}],size(raw));
hs5pf=hs5pf./2.*1000;
clearvars raw;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% beta = 0 pb calculation%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%% beta 0 hs3 uf

for k=1:length(hs3uf)
    
    RTS=hs3uf(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBhs3uf(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBhs3uf(k)=PBhs3uf(k)*2/1000; %Two propellers & converts to kW
end
PBhs3uf=PBhs3uf'; 




%%%%%%%%%%%%%%%%% beta 0 hs3 ff 

for k=1:length(hs3ff)
    
    RTS=hs3ff(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBhs3ff(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBhs3ff(k)=PBhs3ff(k)*2/1000; %Two propellers & converts to kW
end
PBhs3ff=PBhs3ff'; 



%%%%%%%%%%%%%%%%% beta 0 hs3 pf

for k=1:length(hs3pf)
    
    RTS=hs3pf(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBhs3pf(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBhs3pf(k)=PBhs3pf(k)*2/1000; %Two propellers & converts to kW
end
PBhs3pf=PBhs3pf'; 




%%%%%%%%%%%%%%%%% beta 0 hs4 uf

for k=1:length(hs4uf)
    
    RTS=hs4uf(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBhs4uf(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBhs4uf(k)=PBhs4uf(k)*2/1000; %Two propellers & converts to kW
end
PBhs4uf=PBhs4uf'; 




%%%%%%%%%%%%%%%%% beta 0 hs4 ff

for k=1:length(hs4ff)
    
    RTS=hs4ff(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBhs4ff(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBhs4ff(k)=PBhs4ff(k)*2/1000; %Two propellers & converts to kW
end
PBhs4ff=PBhs4ff'; 



%%%%%%%%%%%%%%%%% beta 0 hs4 pf

for k=1:length(hs4pf)
    
    RTS=hs4pf(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBhs4pf(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBhs4pf(k)=PBhs4pf(k)*2/1000; %Two propellers & converts to kW
end
PBhs4pf=PBhs4pf'; 




%%%%%%%%%%%%%%%%% beta 0 h5 uf

for k=1:length(hs5uf)
    
    RTS=hs5uf(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBhs5uf(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBhs5uf(k)=PBhs5uf(k)*2/1000; %Two propellers & converts to kW
end
PBhs5uf=PBhs5uf'; 




%%%%%%%%%%%%%%%%% beta 0 h5 ff

for k=1:length(hs5ff)
    
    RTS=hs5ff(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBhs5ff(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBhs5ff(k)=PBhs5ff(k)*2/1000; %Two propellers & converts to kW
end
PBhs5ff=PBhs5ff'; 




%%%%%%%%%%%%%%%%% beta 0 h5 pf

for k=1:length(hs5pf)
    
    RTS=hs5pf(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBhs5pf(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBhs5pf(k)=PBhs5pf(k)*2/1000; %Two propellers & converts to kW
end
PBhs5pf=PBhs5pf'; 
