clc
clear all
close all



rho = 1025;
t= 0.175; %From DNV GL
D = 3; %From DNV GL
shipspeed = 6*0.5144;                             %remember to change!!!!
w = 0.031; %From DNV GL
etaR=0.97;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Imports RTS for beta = 0,22,45,67,90. Divides by two to find RTS for each
%propeller
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
[~, ~, raw] = xlsread('C:\Users\Rille\Dropbox\Skole\Masteroppgave\Added resistance\Added res ship motionsINCLWIND.xlsx','Total Res 6kn','C8:H20');


data = reshape([raw{:}],size(raw));

b0hs1uf = data(:,1)/2*1000;
b0hs1ff = data(:,2)/2*1000;
b0hs2uf = data(:,3)/2*1000;
b0hs2ff = data(:,4)/2*1000;
b0hs3uf = data(:,5)/2*1000;
b0hs3ff = data(:,6)/2*1000;
clearvars data raw;



[~, ~, raw] = xlsread('C:\Users\Rille\Dropbox\Skole\Masteroppgave\Added resistance\Added res ship motionsINCLWIND.xlsx','Total Res 6kn','C28:H40');


data = reshape([raw{:}],size(raw));

b22hs1uf = data(:,1)/2*1000;
b22hs1ff = data(:,2)/2*1000;
b22hs2uf = data(:,3)/2*1000;
b22hs2ff = data(:,4)/2*1000;
b22hs3uf = data(:,5)/2*1000;
b22hs3ff = data(:,6)/2*1000;
clearvars data raw;



[~, ~, raw] = xlsread('C:\Users\Rille\Dropbox\Skole\Masteroppgave\Added resistance\Added res ship motionsINCLWIND.xlsx','Total Res 6kn','C49:H61');


data = reshape([raw{:}],size(raw));


b45hs1uf = data(:,1)/2*1000;
b45hs1ff = data(:,2)/2*1000;
b45hs2uf = data(:,3)/2*1000;
b45hs2ff = data(:,4)/2*1000;
b45hs3uf = data(:,5)/2*1000;
b45hs3ff = data(:,6)/2*1000;

clearvars data raw;


[~, ~, raw] = xlsread('C:\Users\Rille\Dropbox\Skole\Masteroppgave\Added resistance\Added res ship motionsINCLWIND.xlsx','Total Res 6kn','C69:H81');


data = reshape([raw{:}],size(raw));


b67hs1uf = data(:,1)/2*1000;
b67hs1ff = data(:,2)/2*1000;
b67hs2uf = data(:,3)/2*1000;
b67hs2ff = data(:,4)/2*1000;
b67hs3uf = data(:,5)/2*1000;
b67hs3ff = data(:,6)/2*1000;

clearvars data raw;


[~, ~, raw] = xlsread('C:\Users\Rille\Dropbox\Skole\Masteroppgave\Added resistance\Added res ship motionsINCLWIND.xlsx','Total Res 6kn','C89:H101');

data = reshape([raw{:}],size(raw));

b90hs1uf = data(:,1)/2*1000;
b90hs1ff = data(:,2)/2*1000;
b90hs2uf = data(:,3)/2*1000;
b90hs2ff = data(:,4)/2*1000;
b90hs3uf = data(:,5)/2*1000;
b90hs3ff = data(:,6)/2*1000;

clearvars data raw;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% beta = 0 pb calculation%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%% beta 0 hs1 unfoiled

for k=1:length(b0hs1uf)
    
    RTS=b0hs1uf(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb0hs1uf(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb0hs1uf(k)=PBb0hs1uf(k)*2/1000; %Two propellers & converts to kW
end
PBb0hs1uf=PBb0hs1uf'; 

%%%%%%%%%%%%%%%%% beta 0 hs1 foiled

for k=1:length(b0hs1ff)
    
    RTS=b0hs1ff(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb0hs1ff(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb0hs1ff(k)=PBb0hs1ff(k)*2/1000; %Two propellers & converts to kW
end
PBb0hs1ff=PBb0hs1ff'; 

%%%%%%%%%%%%%%%%% beta 0 hs2 unfoiled

for k=1:length(b0hs2uf)
    
    RTS=b0hs2uf(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb0hs2uf(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb0hs2uf(k)=PBb0hs2uf(k)*2/1000; %Two propellers & converts to kW
end
PBb0hs2uf=PBb0hs2uf'; 

%%%%%%%%%%%%%%%%% beta 0 hs2 foiled

for k=1:length(b0hs2ff)
    
    RTS=b0hs2ff(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb0hs2ff(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb0hs2ff(k)=PBb0hs2ff(k)*2/1000; %Two propellers & converts to kW
end
PBb0hs2ff=PBb0hs2ff'; 

%%%%%%%%%%%%%%%%% beta 0 hs3 unfoiled

for k=1:length(b0hs3uf)
    
    RTS=b0hs3uf(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb0hs3uf(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb0hs3uf(k)=PBb0hs3uf(k)*2/1000; %Two propellers & converts to kW
end
PBb0hs3uf=PBb0hs3uf'; 

%%%%%%%%%%%%%%%%% beta 0 hs3 foiled

for k=1:length(b0hs3ff)
    
    RTS=b0hs3ff(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb0hs3ff(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb0hs3ff(k)=PBb0hs3ff(k)*2/1000; %Two propellers & converts to kW
end
PBb0hs3ff=PBb0hs3ff'; 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% beta = 22.5 pb calculation%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%% beta 22.5 hs1 unfoiled

for k=1:length(b22hs1uf)
    
    RTS=b22hs1uf(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb22hs1uf(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb22hs1uf(k)=PBb22hs1uf(k)*2/1000; %Two propellers & converts to kW
end
PBb22hs1uf=PBb22hs1uf'; 

%%%%%%%%%%%%%%%%% beta 22.5 hs1 foiled

for k=1:length(b22hs1ff)
    
    RTS=b22hs1ff(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb22hs1ff(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb22hs1ff(k)=PBb22hs1ff(k)*2/1000; %Two propellers & converts to kW
end
PBb22hs1ff=PBb22hs1ff'; 

%%%%%%%%%%%%%%%%% beta 22.5 hs2 unfoiled

for k=1:length(b22hs2uf)
    
    RTS=b22hs2uf(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb22hs2uf(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb22hs2uf(k)=PBb22hs2uf(k)*2/1000; %Two propellers & converts to kW
end
PBb22hs2uf=PBb22hs2uf'; 

%%%%%%%%%%%%%%%%% beta 22.5 hs2 foiled

for k=1:length(b22hs2ff)
    
    RTS=b22hs2ff(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb22hs2ff(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb22hs2ff(k)=PBb22hs2ff(k)*2/1000; %Two propellers & converts to kW
end
PBb22hs2ff=PBb22hs2ff'; 

%%%%%%%%%%%%%%%%% beta 22.5 hs3 unfoiled

for k=1:length(b22hs3uf)
    
    RTS=b22hs3uf(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb22hs3uf(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb22hs3uf(k)=PBb22hs3uf(k)*2/1000; %Two propellers & converts to kW
end
PBb22hs3uf=PBb22hs3uf'; 

%%%%%%%%%%%%%%%%% beta 22.5 hs3 foiled

for k=1:length(b22hs3ff)
    
    RTS=b22hs3ff(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb22hs3ff(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb22hs3ff(k)=PBb22hs3ff(k)*2/1000; %Two propellers & converts to kW
end
PBb22hs3ff=PBb22hs3ff'; 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% beta = 45 pb calculation%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%% beta 45 hs1 unfoiled

for k=1:length(b45hs1uf)
    
    RTS=b45hs1uf(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb45hs1uf(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb45hs1uf(k)=PBb45hs1uf(k)*2/1000; %Two propellers & converts to kW
end
PBb45hs1uf=PBb45hs1uf'; 

%%%%%%%%%%%%%%%%% beta 45 hs1 foiled

for k=1:length(b45hs1ff)
    
    RTS=b45hs1ff(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb45hs1ff(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb45hs1ff(k)=PBb45hs1ff(k)*2/1000; %Two propellers & converts to kW
end
PBb45hs1ff=PBb45hs1ff'; 

%%%%%%%%%%%%%%%%% beta 45 hs2 unfoiled

for k=1:length(b45hs2uf)
    
    RTS=b45hs2uf(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb45hs2uf(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb45hs2uf(k)=PBb45hs2uf(k)*2/1000; %Two propellers & converts to kW
end
PBb45hs2uf=PBb45hs2uf'; 

%%%%%%%%%%%%%%%%% beta 45 hs2 foiled

for k=1:length(b45hs2ff)
    
    RTS=b45hs2ff(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb45hs2ff(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb45hs2ff(k)=PBb45hs2ff(k)*2/1000; %Two propellers & converts to kW
end
PBb45hs2ff=PBb45hs2ff'; 

%%%%%%%%%%%%%%%%% beta 45 hs3 unfoiled

for k=1:length(b45hs3uf)
    
    RTS=b45hs3uf(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb45hs3uf(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb45hs3uf(k)=PBb45hs3uf(k)*2/1000; %Two propellers & converts to kW
end
PBb45hs3uf=PBb45hs3uf'; 

%%%%%%%%%%%%%%%%% beta 45 hs3 foiled

for k=1:length(b45hs3ff)
    
    RTS=b45hs3ff(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb45hs3ff(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb45hs3ff(k)=PBb45hs3ff(k)*2/1000; %Two propellers & converts to kW
end
PBb45hs3ff=PBb45hs3ff'; 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% beta = 67.5 pb calculation%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%% beta 67.5 hs1 unfoiled

for k=1:length(b67hs1uf)
    
    RTS=b67hs1uf(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb67hs1uf(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb67hs1uf(k)=PBb67hs1uf(k)*2/1000; %Two propellers & converts to kW
end
PBb67hs1uf=PBb67hs1uf'; 

%%%%%%%%%%%%%%%%% beta 67 hs1 foiled

for k=1:length(b67hs1ff)
    
    RTS=b67hs1ff(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb67hs1ff(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb67hs1ff(k)=PBb67hs1ff(k)*2/1000; %Two propellers & converts to kW
end
PBb67hs1ff=PBb67hs1ff'; 

%%%%%%%%%%%%%%%%% beta 67 hs2 unfoiled

for k=1:length(b67hs2uf)
    
    RTS=b67hs2uf(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb67hs2uf(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb67hs2uf(k)=PBb67hs2uf(k)*2/1000; %Two propellers & converts to kW
end
PBb67hs2uf=PBb67hs2uf'; 

%%%%%%%%%%%%%%%%% beta 67 hs2 foiled

for k=1:length(b67hs2ff)
    
    RTS=b67hs2ff(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb67hs2ff(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb67hs2ff(k)=PBb67hs2ff(k)*2/1000; %Two propellers & converts to kW
end
PBb67hs2ff=PBb67hs2ff'; 

%%%%%%%%%%%%%%%%% beta 67 hs3 unfoiled

for k=1:length(b67hs3uf)
    
    RTS=b67hs3uf(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb67hs3uf(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb67hs3uf(k)=PBb67hs3uf(k)*2/1000; %Two propellers & converts to kW
end
PBb67hs3uf=PBb67hs3uf'; 

%%%%%%%%%%%%%%%%% beta 67 hs3 foiled

for k=1:length(b67hs3ff)
    
    RTS=b67hs3ff(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb67hs3ff(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb67hs3ff(k)=PBb67hs3ff(k)*2/1000; %Two propellers & converts to kW
end
PBb67hs3ff=PBb67hs3ff'; 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% beta = 90 pb calculation%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%% beta 90 hs1 unfoiled


for k=1:length(b90hs1uf)
    
    RTS=b90hs1uf(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb90hs1uf(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb90hs1uf(k)=PBb90hs1uf(k)*2/1000; %Two propellers & converts to kW
end
PBb90hs1uf=PBb90hs1uf'; 

%%%%%%%%%%%%%%%%% beta 90 hs1 foiled

for k=1:length(b90hs1ff)
    
    RTS=b90hs1ff(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb90hs1ff(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb90hs1ff(k)=PBb90hs1ff(k)*2/1000; %Two propellers & converts to kW
end
PBb90hs1ff=PBb90hs1ff'; 

%%%%%%%%%%%%%%%%% beta 90 hs2 unfoiled

for k=1:length(b90hs2uf)
    
    RTS=b90hs2uf(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb90hs2uf(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb90hs2uf(k)=PBb90hs2uf(k)*2/1000; %Two propellers & converts to kW
end
PBb90hs2uf=PBb90hs2uf'; 

%%%%%%%%%%%%%%%%% beta 90 hs2 foiled

for k=1:length(b90hs2ff)
    
    RTS=b90hs2ff(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb90hs2ff(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb90hs2ff(k)=PBb90hs2ff(k)*2/1000; %Two propellers & converts to kW
end
PBb90hs2ff=PBb90hs2ff'; 

%%%%%%%%%%%%%%%%% beta 90 hs3 unfoiled

for k=1:length(b90hs3uf)
    
    RTS=b90hs3uf(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb90hs3uf(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb90hs3uf(k)=PBb90hs3uf(k)*2/1000; %Two propellers & converts to kW
end
PBb90hs3uf=PBb90hs3uf'; 

%%%%%%%%%%%%%%%%% beta 90 hs3 foiled

for k=1:length(b90hs3ff)
    
    RTS=b90hs3ff(k);
    
%KT, KQ and ETA0 approximated as 2nd
for i=1:10000
    J(i)=0.0001*i;
    KT(i) = -0.07976*(J(i)^2) - 0.1896*(J(i)) + 0.2229;
    KQ(i) = -0.01399*(J(i)^2) - 0.005565*(J(i)) + 0.01776;
    KTJ2(i) = KT(i)./(J(i)*J(i));
end
for i=1:2000
    KTJ2(i)=0;
end
KT_J2 = RTS/(rho*(1-t)*(D^2)*(shipspeed^2)*(1-w)^2); %Denne verdien brukes frst for  finne J* i KTJ2(i)
for i=1:10000
    if i<500
        Diff(i)=1;
    elseif i>500
        Diff(i) = KT_J2-KTJ2(i);
    end
end
for i=1:10000
    
    if abs(Diff(i)) < 1.2*10^(-3)
        JSTAR = 0.0001*i;
        KQSTAR = KQ(i);
    end
end
RPM=60*((1-w)/D)*(shipspeed/JSTAR);

PBb90hs3ff(k)= 2*pi*rho*(D^5)*((RPM/60)^3)*KQSTAR/etaR;
PBb90hs3ff(k)=PBb90hs3ff(k)*2/1000; %Two propellers & converts to kW
end
PBb90hs3ff=PBb90hs3ff'; 
