clc
clear all
close all

filename = 'C:\Users\Rille\Dropbox\Skole\Prosjektoppgave\DNV GL Source Data\wavedata bingjie\0108_wavehist_table.txt';
startRow = 4;

%% Format string for each line of text:
%   column3: double (%f)
%	column4: double (%f)
%   column5: double (%f)
%	column6: double (%f)
%   column7: double (%f)
%	column8: double (%f)
%   column9: double (%f)
%	column10: double (%f)
%   column11: double (%f)
%	column12: double (%f)
%   column13: double (%f)
%	column14: double (%f)
%   column15: double (%f)
%	column16: double (%f)
%   column17: double (%f)
%	column18: double (%f)
%   column19: double (%f)
% For more information, see the TEXTSCAN documentation.
formatSpec = '%*5s%4f%4f%10f%10f%10f%10f%10f%10f%10f%10f%10f%10f%10f%10f%4f%4f%f%[^\n\r]';

%% Open the text file.
fileID = fopen(filename,'r');

%% Read columns of data according to format string.
% This call is based on the structure of the file used to generate this
% code. If an error occurs for a different file, try regenerating the code
% from the Import Tool.
dataArray = textscan(fileID, formatSpec, 'Delimiter', '', 'WhiteSpace', '', 'HeaderLines' ,startRow-1, 'ReturnOnError', false);

%% Close the text file.
fclose(fileID);

%% Post processing for unimportable data.
% No unimportable data rules were applied during the import, so no post
% processing code is included. To generate code which works for
% unimportable data, select unimportable cells in a file and regenerate the
% script.

%% Create output variable
wavehist = [dataArray{1:end-1}];
%% Clear temporary variables
clearvars filename startRow formatSpec fileID dataArray ans;
ij = size(wavehist);

count4 = 0;
count3 = 0;
count2 = 0;
for i=1:ij(1)   %start rows
    for j=1:ij(2)   %start columns
        
        if wavehist(i,j) > 100
            wavehist(i,j) = wavehist(i,j)/1000000; %corrects faulty imports
        end
        
        if i>3 %if i>3, Hs >2
        count2 = count2 + wavehist(i,j);
        end
        
        if i>4 %if i>4, Hs >3
        count3 = count3 + wavehist(i,j);
        end
        
        if i>5 %if i>5, Hs >4
        count4 = count4+wavehist(i,j);
        end
        
    end
end


count2
count3
count4